Skip to main content
POST
https://api.dintero.com/
/
v2
/
accounts
/
{aid}
/
payout
/
fund-transfers
Initiate fund transfer
curl --request POST \
  --url https://api.dintero.com/v2/accounts/{aid}/payout/fund-transfers \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "fund_transfer_id": "<string>",
  "type": "payout-destination",
  "source_payout_destination_id": "<string>",
  "destination_payout_destination_id": "<string>",
  "amount": 2,
  "currency": "<string>",
  "reference": "<string>"
}
'
{
  "fund_transfer": {
    "fund_transfer_id": "<string>",
    "type": "payout-destination",
    "source_payout_destination_id": "<string>",
    "destination_payout_destination_id": "<string>",
    "amount": 2,
    "currency": "<string>",
    "reference": "<string>",
    "account_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "created_by": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

X-API-Key authentication for accessing regular endpoints. Use Create api-key to create a key.

The content of the header should look like the following:

x-api-key: {api_key}

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Body

application/json

Initiate fund transfer data

fund_transfer_id
string
required

A string id that uniquely identifies the fund transfer. The id is used for idempotent processing so you can safely retry the request with same id if you don't receive a response (for example, in case of a timeout)

type
enum<string>
required
Available options:
payout-destination
source_payout_destination_id
string
required
destination_payout_destination_id
string
required
amount
integer
required

The amount of the fund transfer in the smallest unit of the currency

Required range: x >= 1
currency
string
required
reference
string
required

A static reference that will be included on settlements made to the sellers

Maximum string length: 60

Response

Transfer fund initiated

fund_transfer
object

This object contains the result from initiating a transfer fund